| hoogle | Source code | Contents | Index

Hoogle.TextBase.Type

Documentation

type TextBase = [(TextItem, String)] | Source

data TextItem | Source

Constructors

ItemModule [String] |
ItemClass TypeSig |
ItemFunc String TypeSig |
ItemAlias TypeSig TypeSig |
ItemData DataKeyword TypeSig |
ItemInstance TypeSig |
ItemAttribute String String |

Instances

Eq TextItem
Show TextItem
BinaryDefer TextItem

data DataKeyword | Source

Constructors

NewTypeKeyword |
DataKeyword |

Instances

Enum DataKeyword
Eq DataKeyword
Show DataKeyword
BinaryDefer DataKeyword

Produced by Haddock version 2.4.2